## marble 1.1.0

=== CMakeLists.txt ===
project(marble)

####################################################
# CMake Settings 
SET(CMAKE_COLOR_MAKEFILE ON)
# SET(CMAKE_SKIP_RPATH ON)

####################################################
# Generate the tiles with the tilecreator at compile time
# if this option is set, srtm.jpg will not be installed but the generated tiles instead
option(TILES_AT_COMPILETIME "generate the srtm tiles at compiletime" ON)

####################################################
# Build a D-Bus interface for marble
# This is disabled by default for all win32, apple and Qt-Only builds  
if( QTONLY OR WIN32 OR APPLE)
    option(BUILD_WITH_DBUS "Build the D-Bus interface for the Marble widget" OFF)
else( QTONLY OR WIN32 OR APPLE )
    option(BUILD_WITH_DBUS "Build the D-Bus interface for the Marble widget" ON)
endif( QTONLY OR WIN32 OR APPLE )

###################################################
# Check if KDE4 is available
if( NOT QTONLY AND NOT KDE4_FOUND )
    find_package(KDE4 REQUIRED)
    include (KDE4Defaults)
    include (MacroLibrary)
endif( NOT QTONLY AND NOT KDE4_FOUND) 

####################################################
# build unit tests

INCLUDE (CTest)
ENABLE_TESTING()


if( QTONLY )
    option( BUILD_MARBLE_TESTS "build marble tests if building QTONLY " ON )
    if( BUILD_MARBLE_TESTS )
        INCLUDE(CTest)
    endif( BUILD_MARBLE_TESTS )
else( QTONLY )
    # for KDE builds this gets set in the kdeedu CMakeLists.txt
    set( BUILD_MARBLE_TESTS OFF )
endif( QTONLY )

if( BUILD_MARBLE_TESTS )
#  SET (TEST_DATA_DIR "${CMAKE_CURRENT_SOURCE_DIR}/src/tests/test_data")
  #where unit test binaries should be installed to and run from
#  SET (MARBLE_TEST_DIR   ${CMAKE_CURRENT_BINARY_DIR}/tests)
endif( BUILD_MARBLE_TESTS )

####################################################
# minimum required cmake version
if( QTONLY )
    # all previous releases lack QT_QTSCRIPT_LIBRARY needed for panoramio
    # this might be replaced by a workaround
    cmake_minimum_required( VERSION 2.4.8 )

    #suppress the policy warnings while keeping the same behaviour
    if( COMMAND cmake_policy )    
    cmake_policy( SET CMP0005 OLD )
    cmake_policy( SET CMP0003 OLD )
    endif( COMMAND cmake_policy )
    
endif( QTONLY )

####################################################
# User configurable options
if(KDE4_FOUND)
  set (QTONLY FALSE CACHE BOOL "Determines if we should compile for Qt only.")
else(KDE4_FOUND)
  set (QTONLY TRUE CACHE BOOL "Determines if we should compile for Qt only.")
endif(KDE4_FOUND)

set (PEDANTIC FALSE CACHE BOOL "Determines if we should compile with -Wall -Werror.")
set (ENABLE_TESTS FALSE CACHE BOOL "Build unit tests?")
set (WITH_DESIGNER_PLUGIN FALSE CACHE BOOL "Build designer plugin?")
if (QTONLY)
    set(LIB_SUFFIX "" CACHE STRING "Define suffix of directory name (32/64)" )
    set(EXEC_INSTALL_PREFIX  ${CMAKE_INSTALL_PREFIX} CACHE PATH  "Base directory for executables and libraries" FORCE)
endif (QTONLY)
####################################################
# Detect default for the user configurable MARBLE_DATA_PATH option

if(WIN32)
  if(QTONLY)
    set(data_dir data)
    set(plugin_dir plugins)
    set(CMAKE_MODULES_INSTALL_PATH ${CMAKE_ROOT}/Modules)
  else(QTONLY)
    set(data_dir ${DATA_INSTALL_DIR}/marble/data)
    set(plugin_dir ${PLUGIN_INSTALL_DIR}/plugins/marble)
    set(CMAKE_MODULES_INSTALL_PATH ${DATA_INSTALL_DIR}/cmake/modules)
  endif(QTONLY)
else(WIN32)
  if(APPLE)
    # needed for finding bundle path in e.g. katlasdir.h
    FIND_LIBRARY(APP_SERVICES_LIBRARY ApplicationServices )
    MARK_AS_ADVANCED (APP_SERVICES_LIBRARY)
    SET(MAC_EXTRA_LIBS ${APP_SERVICES_LIBRARY})
    if (QTONLY)
      # for Mac OS X, everything is put inside an application bundle
      SET (CMAKE_INSTALL_PREFIX ${CMAKE_INSTALL_PREFIX}/)
      # path for library references
      SET (CMAKE_INSTALL_NAME_DIR @executable_path/lib)
      #set info.plist properties on mac
      SET( PROGNAME ${PROJECT_NAME})
      SET( MACOSX_BUNDLE_ICON_FILE Marble.icns)
      SET( MACOSX_BUNDLE_SHORT_VERSION_STRING 0.3.0 )
      SET( MACOSX_BUNDLE_VERSION 0.3.0 )
      SET( MACOSX_BUNDLE_LONG_VERSION_STRING Version 0.3.0 )
      SET( MACOSX_BUNDLE_BUNDLE_NAME Marble)
      #SET( CMAKE_OSX_ARCHITECTURES ppc;i386 ) #Comment out if not universal binary
      SET( CMAKE_OSX_ARCHITECTURES i386 ) #Comment out if universal binary
      #SET (lib_dir ${CMAKE_INSTALL_PREFIX}/Marble.app/Contents/MacOS/lib)
      SET (data_dir   ${CMAKE_INSTALL_PREFIX}/Marble.app/Contents/MacOS/resources/data)
      SET (plugin_dir   ${CMAKE_INSTALL_PREFIX}/Marble.app/Contents/MacOS/resources/plugins)
    else (QTONLY) # KDE4 on Mac...
      set(data_dir ${DATA_INSTALL_DIR}/marble/data)
      set(plugin_dir ${PLUGIN_INSTALL_DIR}/plugins/marble)
    endif (QTONLY)
  else(APPLE) # Linux / bsd etc...
    if (QTONLY)
      set(data_dir ${CMAKE_INSTALL_PREFIX}/share/marble/data)
      set(plugin_dir ${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}/marble/plugins)
      set(CMAKE_MODULES_INSTALL_PATH ${CMAKE_INSTALL_PREFIX}/share/marble/cmake)
    else (QTONLY)
      set(data_dir ${DATA_INSTALL_DIR}/marble/data)
      set(plugin_dir ${PLUGIN_INSTALL_DIR}/plugins/marble)
      set(CMAKE_MODULES_INSTALL_PATH ${DATA_INSTALL_DIR}/cmake/modules)
    endif (QTONLY)
  endif(APPLE)
endif(WIN32)

if (NOT MARBLE_DATA_PATH)
  set (MARBLE_DATA_PATH ${data_dir})
endif (NOT MARBLE_DATA_PATH)

if (NOT MARBLE_PLUGIN_PATH)
  set (MARBLE_PLUGIN_PATH ${plugin_dir})
endif (NOT MARBLE_PLUGIN_PATH)

if (NOT MARBLE_DATA_INSTALL_PATH)
  set (MARBLE_DATA_INSTALL_PATH ${MARBLE_DATA_PATH})
endif (NOT MARBLE_DATA_INSTALL_PATH)

if (NOT MARBLE_PLUGIN_INSTALL_PATH)
  set (MARBLE_PLUGIN_INSTALL_PATH ${MARBLE_PLUGIN_PATH})
endif (NOT MARBLE_PLUGIN_INSTALL_PATH)

#MESSAGE( STATUS, "MARBLE_PLUGIN_INSTALL_PATH: ${MARBLE_PLUGIN_INSTALL_PATH}" )

if(WIN32)
  set (STATIC_BUILD FALSE CACHE BOOL "Link to static Qt libs (win32 only)?")
endif(WIN32)

# Variables to test new kml implementation
# Will removed in feature after success
#add_definitions(-DKML_DEBUG)
#add_definitions(-DKML_GSOC)

####################################################
# Where to look first for cmake modules, 
# before ${CMAKE_ROOT}/Modules/ is checked
set ( CMAKE_MODULE_PATH 
     ${CMAKE_SOURCE_DIR}/cmake/Modules 
     ${CMAKE_CURRENT_SOURCE_DIR}
     ${CMAKE_CURRENT_SOURCE_DIR}/src
     ${CMAKE_CURRENT_SOURCE_DIR}/cmake_find_rules
     ${CMAKE_CURRENT_SOURCE_DIR}/cmake_scripts
     )

####################################################
# Options for static build
if(STATIC_BUILD)
  add_definitions(-DSTATIC_BUILD=1)
endif(STATIC_BUILD)

####################################################
# Workaround FindQt4.cmake bug not finding 
# QtDesigner includes
if(APPLE)
  if (NOT DEFINED ${QT_QTDESIGNER_INCLUDE_DIR})
    set ( QT_QTDESIGNER_INCLUDE_DIR 
    ${QT_LIBRARY_DIR}/QtDesigner.framework/Headers 
    )
  endif(NOT DEFINED ${QT_QTDESIGNER_INCLUDE_DIR})
endif(APPLE)

####################################################
# Specific options for if building with Qt or kde4 libs

if(QTONLY)
  find_package(Qt4 REQUIRED)
  set( QT_USE_QTXML      ON )
  set( QT_USE_QTNETWORK  ON )
  set( QT_USE_QTTEST     ON )
  set( QT_USE_QTSCRIPT   ON )
  include( ${QT_USE_FILE} )

  # add a flag to be able to distinguish between qt 
  # and kde mode in the sources
  add_definitions(-DQTONLY)

  # Use M_PI under Windows
  if( WIN32 )
    add_definitions( -D_USE_MATH_DEFINES )
  endif( WIN32 )
endif (QTONLY)

#############################################################
# Create marblesvnversion.h
# see http://public.kitware.com/pipermail/cmake/2006-July/010299.html
# We only do this if we are in a .svn dir

FIND_FILE(SVN_MARKER entries PATHS ${CMAKE_SOURCE_DIR}/.svn)

IF (NOT EXISTS SVN_MARKER)
  SET (SVN_MARKER ${CMAKE_SOURCE_DIR}/CMakeLists.txt)  # Dummy file
ENDIF (NOT EXISTS SVN_MARKER)
# Add a custom command to drive the svn script whenever the svn entries
# file changes.
CONFIGURE_FILE(
       "${CMAKE_CURRENT_SOURCE_DIR}/cmake_templates/svnscript.cmake.in_cmake"
       "${CMAKE_CURRENT_BINARY_DIR}/svnscript.cmake"
       @ONLY)

ADD_CUSTOM_COMMAND (
  OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/marblesvnversion.h"
  DEPENDS ${SVN_MARKER}
  COMMAND ${CMAKE_COMMAND} -P "${CMAKE_CURRENT_BINARY_DIR}/svnscript.cmake"
)

# Add a custom target to drive the custom command.
ADD_CUSTOM_TARGET(svnversion 
       ALL DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/marblesvnversion.h")


#############################################################
if (NOT MSVC)
    # Its good programming practice to build with no warnings...
    add_definitions( -Wall -Wextra -Wundef -Wnon-virtual-dtor -Woverloaded-virtual -Wno-long-long
                     -Wchar-subscripts -Wcast-align -Wpointer-arith -Wformat-security )

    # In pedantic mode, treat warnings as errors
    if (PEDANTIC)
        add_definitions( -Werror )
    endif (PEDANTIC)
endif (NOT MSVC)

#############################################################
# Add a compiler def so that we can conditionally compile
# code in debug mode only (e.g. extra console messages)
IF (CMAKE_BUILD_TYPE MATCHES Debug)
    IF(NOT MINGW)
        ADD_DEFINITIONS(-DDEBUG)
    ELSE(NOT MINGW)
        REMOVE_DEFINITIONS( -DQT_NO_DEBUG )
    ENDIF(NOT MINGW)
ENDIF (CMAKE_BUILD_TYPE MATCHES Debug)

####################################################
# on Win32 set the debug postfix
if(WIN32)
  # distinguish between debug and release plugin
  SET(CMAKE_DEBUG_POSTFIX "d")
endif(WIN32)
# reenable this if you want to debug kml tags
#add_definitions("-DDEBUG_TAGS")
####################################################
# add cmake macros
include( MarbleMacros )

####################################################
# Add the include directories

include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/src/lib
  ${CMAKE_CURRENT_SOURCE_DIR}/src/lib/Projections
  ${CMAKE_CURRENT_SOURCE_DIR}/src/lib/geodata
  ${CMAKE_CURRENT_SOURCE_DIR}/src/lib/geodata/data
  ${CMAKE_CURRENT_SOURCE_DIR}/src/lib/geodata/graphicsitem
  ${CMAKE_CURRENT_SOURCE_DIR}/src/lib/geodata/handlers/dgml
  ${CMAKE_CURRENT_SOURCE_DIR}/src/lib/geodata/parser
  ${CMAKE_CURRENT_SOURCE_DIR}/src/lib/geodata/writer
  ${CMAKE_CURRENT_SOURCE_DIR}/src/lib/geodata/scene
  ${CMAKE_CURRENT_SOURCE_DIR}/src/lib/graphicsview
  ${CMAKE_CURRENT_SOURCE_DIR}/src/lib/graphicsview/screengraphicsitem
  ${CMAKE_CURRENT_BINARY_DIR}/src
  ${CMAKE_CURRENT_BINARY_DIR}/src/lib
)
####################################################
# Descend into subdirectories
add_subdirectory(src)
add_subdirectory(data)

include(DistTarget)

add_subdirectory(tests)

####################################################
# Install extra files
install(FILES LICENSE.txt DESTINATION ${MARBLE_DATA_INSTALL_PATH})

####################################################
# Install CMake module
if( CMAKE_MODULES_INSTALL_PATH )
  install( FILES FindMarble.cmake
           DESTINATION ${CMAKE_MODULES_INSTALL_PATH}  )
endif( CMAKE_MODULES_INSTALL_PATH )

############################################################
# Uninstall stuff
if(QTONLY)
    # only add the uninstall target for qt-only builds
    CONFIGURE_FILE(
        "${CMAKE_CURRENT_SOURCE_DIR}/cmake_templates/cmake_uninstall.cmake.in"
        "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
        IMMEDIATE @ONLY)

    ADD_CUSTOM_TARGET(uninstall
        "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")
endif(QTONLY)

include(MarbleCPackOptions)
include(CPack)

=== src/CMakeLists.txt ===

# before add_subdirectory() !
if(MSVC)
  add_definitions(-D_USE_MATH_DEFINES=1)
endif(MSVC)

if(BUILD_WITH_DBUS)
add_definitions(-DMARBLE_DBUS)
endif(BUILD_WITH_DBUS)

add_subdirectory( tilecreator )
add_subdirectory( routing-instructions )
add_subdirectory( lib )
add_subdirectory( plugins )
add_subdirectory( bindings )

if( NOT QTONLY AND KDE4_PLASMA_LIBS )   # don't try to build this against kdelibs < 4.2
   add_subdirectory( plasmoid )
endif( NOT QTONLY AND KDE4_PLASMA_LIBS )

if(APPLE)
  add_subdirectory( mac )
endif(APPLE)
# FIXME: The original QT4_ADD_RESOURCES should be extended to support this filetype too
#
# QT4_ADD_RESOURCE2(outfiles inputfile ... )
# TODO  perhaps consider adding support for compression and root options to rcc

if (MINGW)
MACRO (QT4_ADD_RESOURCES2 outfiles )

FOREACH (it ${ARGN})
  GET_FILENAME_COMPONENT(outfilename ${it} NAME_WE)
  GET_FILENAME_COMPONENT(infile ${it} ABSOLUTE)
  GET_FILENAME_COMPONENT(rc_path ${infile} PATH)
  SET(outfile ${CMAKE_CURRENT_BINARY_DIR}/${outfilename}_res.o)
  #  parse file for dependencies
  FILE(READ "${infile}" _RC_FILE_CONTENTS)
  STRING(REGEX MATCHALL "<file>[^<]*" _RC_FILES "${_RC_FILE_CONTENTS}")
  SET(_RC_DEPENDS)
  FOREACH(_RC_FILE ${_RC_FILES})
    STRING(REGEX REPLACE "^<file>" "" _RC_FILE "${_RC_FILE}")
    SET(_RC_DEPENDS ${_RC_DEPENDS} "${rc_path}/${_RC_FILE}")
  ENDFOREACH(_RC_FILE)
  ADD_CUSTOM_COMMAND(OUTPUT ${outfile}
    COMMAND windres
    ARGS -i ${infile} -o ${outfile} --include-dir=${CMAKE_CURRENT_SOURCE_DIR}
    MAIN_DEPENDENCY ${infile}
    DEPENDS ${_RC_DEPENDS})
  SET(${outfiles} ${${outfiles}} ${outfile})
ENDFOREACH (it)

ENDMACRO (QT4_ADD_RESOURCES2)
ENDIF(MINGW)

if (QTONLY)
  # ce: don't know why this is needed here - on win32 
  # 'O2' is activated by default in release mode
  if(NOT WIN32)
    add_definitions (${QT_DEFINITIONS} -O3)
  endif(NOT WIN32)

  include_directories(
    ${QT_INCLUDE_DIR}
  )
else (QTONLY)
  if(NOT WIN32)
    add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS} -O3) 
  endif(NOT WIN32)

  include_directories(
    ${KDE4_INCLUDES}
  )

endif (QTONLY)

set(marble_SRCS
    ControlView.cpp
    MarbleTest.cpp
)

set(marble_HDRS
    ControlView.h
    MarbleTest.h
)

if (QTONLY)
  set(marble_SRCS ${marble_SRCS} qtmain.cpp QtMainWindow.cpp StackableWindow.cpp)
  set(marble_HDRS ${marble_HDRS} QtMainWindow.h StackableWindow.h)
else (QTONLY)
  set(marble_SRCS ${marble_SRCS} kdemain.cpp KdeMainWindow.cpp marble_part.cpp)
  set(marble_HDRS ${marble_HDRS} KdeMainWindow.h)
endif (QTONLY)

if (NOT QTONLY)
  set(marblepart_SRCS marble_part.cpp)
  kde4_add_kcfg_files(marblepart_SRCS settings.kcfgc)
  kde4_add_plugin(marble_part WITH_PREFIX ${marblepart_SRCS} ControlView.cpp)
  target_link_libraries(marble_part ${KDE4_KPARTS_LIBS} ${KDE4_KNEWSTUFF3_LIBS} marblewidget)

  install(TARGETS marble_part DESTINATION ${PLUGIN_INSTALL_DIR})
  install(FILES marble_part.desktop DESTINATION ${SERVICES_INSTALL_DIR})
  install(FILES marble_part.rc DESTINATION ${DATA_INSTALL_DIR}/marble_part)
endif (NOT QTONLY)

if(MSVC)
  set(marble_SRCS ${marble_SRCS} marble.rc)
endif(MSVC)

if(MINGW)
   QT4_ADD_RESOURCES2(marble_SRCS marble.rc)
endif(MINGW)

qt4_add_resources(marble_SRCS marble.qrc)

if (QTONLY)
  qt4_wrap_ui(marble_SRCS ${marble_UI})
  qt4_automoc(${marble_SRCS})
else (QTONLY)
  kde4_add_ui_files(marble_SRCS ${marble_UI})
  kde4_add_kcfg_files(marble_SRCS settings.kcfgc)
endif (QTONLY)


if (QTONLY)
    if (WIN32)
        add_executable (marble WIN32 ${marble_SRCS} ${marble_HDRS})
    else (WIN32)
        if (APPLE)
            add_executable (marble MACOSX_BUNDLE ${marble_SRCS})
            # For Mac OS X, the executable must be at the root of the bundle's executable folder
            INSTALL(TARGETS marble RUNTIME DESTINATION ${CMAKE_INSTALL_PREFIX})
        else (APPLE)
            add_executable (marble ${marble_SRCS} ${marble_HDRS})
        endif (APPLE)
    endif (WIN32)
else (QTONLY)
  kde4_add_executable (marble ${marble_SRCS} ${marble_HDRS})
endif (QTONLY)

if (QTONLY)
    target_link_libraries (
      marble 
      ${QT_QTCORE_LIBRARY} 
      ${QT_QTDBUS_LIBRARY} 
      ${QT_QTGUI_LIBRARY} 
      ${QT_QTXML_LIBRARY} 
      ${QT_QTSVG_LIBRARY} 
      ${QT_QTNETWORK_LIBRARY}
      ${QT_QTSCRIPT_LIBRARY} 
      ${QT_QTMAIN_LIBRARY} 
      marblewidget)
else (QTONLY)
    target_link_libraries (
      marble 
      ${KDE4_KPARTS_LIBS} 
      ${KDE4_KNEWSTUFF3_LIBS}
      marblewidget
      )
endif (QTONLY)
if(WIN32)
  target_link_libraries(
    marble 
    ws2_32 
    imm32 
    winmm
    )
endif(WIN32)

## this works for win32 only because FindQt4 does not handle this correct
if(STATIC_BUILD)
    target_link_libraries(marble ${QT_PLUGINS_DIR}/imageformats/qjpeg.lib)
    target_link_libraries(marble ${QT_PLUGINS_DIR}/imageformats/qsvg.lib)
endif(STATIC_BUILD)

if(WIN32 AND QTONLY)
    install (TARGETS marble RUNTIME DESTINATION ${CMAKE_INSTALL_PREFIX})
else(WIN32 AND QTONLY)
    if (APPLE AND QTONLY)
      # No need for this when installing to a bundle
    else (APPLE AND QTONLY)
      #set_target_properties(marble PROPERTIES VERSION 1.0.0 SOVERSION 1)
      if( NOT QTONLY)
        install (TARGETS marble ${INSTALL_TARGETS_DEFAULT_ARGS})
        install( PROGRAMS marble.desktop  DESTINATION ${XDG_APPS_INSTALL_DIR})
        install(FILES marble.kcfg DESTINATION ${KCFG_INSTALL_DIR})
      else( NOT QTONLY)
        install (TARGETS marble RUNTIME DESTINATION bin )
        install( FILES marble.desktop  DESTINATION share/applications)
      endif(NOT QTONLY)
      #install (TARGETS marble ${INSTALL_TARGETS_DEFAULT_ARGS} )
    endif (APPLE AND QTONLY)
endif(WIN32 AND QTONLY)

# install the XML GUI file and the Hot New Stuff config
if( NOT QTONLY )
    install( FILES marbleui.rc DESTINATION ${DATA_INSTALL_DIR}/marble )
    install( FILES marble.knsrc  DESTINATION ${DATA_INSTALL_DIR}/marble )
endif( NOT QTONLY )

configure_file(
  ${CMAKE_CURRENT_SOURCE_DIR}/config-marble.h.cmake
  ${CMAKE_CURRENT_BINARY_DIR}/config-marble.h
)

=== src/lib/CMakeLists.txt ===
PROJECT(marblewidget)

if (QTONLY)
   cmake_minimum_required(VERSION 2.4.0)
endif (QTONLY)


INCLUDE_DIRECTORIES(
 ${CMAKE_SOURCE_DIR}/src/lib
 ${CMAKE_BINARY_DIR}/src/lib
 ${CMAKE_CURRENT_SOURCE_DIR}/Projections
 ${CMAKE_CURRENT_SOURCE_DIR}/routing
 ${CMAKE_CURRENT_SOURCE_DIR}/geodata
 ${CMAKE_CURRENT_SOURCE_DIR}/geodata/data
 ${CMAKE_CURRENT_SOURCE_DIR}/geodata/graphicsitem
 ${CMAKE_CURRENT_SOURCE_DIR}/geodata/scene
 ${CMAKE_CURRENT_SOURCE_DIR}/geodata/handlers
 ${CMAKE_CURRENT_SOURCE_DIR}/geodata/handlers/gpx
 ${CMAKE_CURRENT_SOURCE_DIR}/geodata/handlers/kml
 ${CMAKE_CURRENT_SOURCE_DIR}/geodata/handlers/dgml
 ${CMAKE_CURRENT_SOURCE_DIR}/geodata/parser
 ${CMAKE_CURRENT_SOURCE_DIR}/graphicsview
 ${QT_INCLUDE_DIR}
)
INCLUDE(${QT_USE_FILE})
INCLUDE(geodata/CMakeLists.txt)
INCLUDE(graphicsview/CMakeLists.txt)

set(GENERIC_LIB_VERSION "0.11.0")
set(GENERIC_LIB_SOVERSION "11")

if (QTONLY)
  # ce: don't know why this is needed here - on win32 'O2' is activated by default in release mode
  if(NOT WIN32)
    add_definitions (${QT_DEFINITIONS} -O3)
  endif(NOT WIN32)

  include_directories(
    ${QT_INCLUDE_DIR}
  )
else (QTONLY)
  if(NOT WIN32)
    add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS} -O3)
  endif(NOT WIN32)

  include_directories(
    ${KDE4_INCLUDES}
  )
endif (QTONLY)

# link_directories (${QT_LIBRARY_DIR})
########### next target ###############

set(marblewidget_SRCS
    ${geodata_SRCS}
    ${graphicsview_SRCS}
    ${screengraphicsitem_SRCS}
    blendings/Blending.cpp
    blendings/BlendingAlgorithms.cpp
    blendings/BlendingFactory.cpp
    blendings/SunLightBlending.cpp
    DownloadRegionDialog.cpp
    LatLonBoxWidget.cpp
    MarbleWidget.cpp
    MarbleModel.cpp
    MarbleMap.cpp
    MarbleControlBox.cpp
    NavigationWidget.cpp
    MapViewWidget.cpp
    FileViewWidget.cpp
    LegendWidget.cpp
    CurrentLocationWidget.cpp
    MarbleNavigator.cpp
    MarbleLegendBrowser.cpp
    MarbleThemeSelectView.cpp
    MarbleSearchListView.cpp
    MarbleAboutDialog.cpp
    MarbleWidgetInputHandler.cpp
    MarbleWidgetPopupMenu.cpp
    MarblePlacemarkModel.cpp
    GeoDataTreeModel.cpp
    MarbleDataFacade.cpp
    MarbleDebug.cpp
    TextureTile.cpp
    TileCoordsPyramid.cpp
    TileLevelRangeWidget.cpp
    TileLoader.cpp
    QtMarbleConfigDialog.cpp
    ClipPainter.cpp
    DownloadPolicy.cpp
    DownloadQueueSet.cpp
    GeoPainter.cpp
    GeoPolygon.cpp
    HttpDownloadManager.cpp
    HttpJob.cpp
    NetworkPlugin.cpp
    LayerManager.cpp
    PluginManager.cpp
    MarbleCacheSettingsWidget.cpp
    TimeControlWidget.cpp
    AbstractFloatItem.cpp
    global.cpp
    MarbleDirs.cpp
    MarbleLocale.cpp
    MarblePhysics.cpp
    DeferredFlag.cpp
    TileCreatorDialog.cpp
    MapThemeManager.cpp
    ViewportParams.cpp
    ViewParams.cpp
    Projections/AbstractProjection.cpp
    Projections/SphericalProjection.cpp
    Projections/EquirectProjection.cpp
    Projections/MercatorProjection.cpp
    MeasureTool.cpp
    ImageLoadThread.cpp
    VisiblePlacemark.cpp
    PlacemarkManager.cpp
    PlacemarkLayout.cpp
    PlacemarkPainter.cpp
    PlacemarkInfoDialog.cpp
    AtmosphereLayer.cpp
    FogLayer.cpp
    TextureLayer.cpp
    GeometryLayer.cpp
    Planet.cpp
    Quaternion.cpp
    TextureColorizer.cpp
    AbstractScanlineTextureMapper.cpp
    SphericalScanlineTextureMapper.cpp
    EquirectScanlineTextureMapper.cpp
    MercatorScanlineTextureMapper.cpp
    TileScalingTextureMapper.cpp
    DiscCache.cpp
    ServerLayout.cpp
    StoragePolicy.cpp
    CacheStoragePolicy.cpp
    FileStoragePolicy.cpp
    FileStorageWatcher.cpp
    AbstractTile.cpp
    StackedTile.cpp
    TileId.cpp
    StackedTileLoader.cpp
    TileLoaderHelper.cpp
    TileCreator.cpp
    TinyWebBrowser.cpp
    #jsonparser.cpp
    VectorComposer.cpp
    VectorMap.cpp
    FileLoader.cpp
    FileManager.cpp
    FileViewModel.cpp
    KmlFileViewItem.cpp
    PositionTracking.cpp
    DataMigration.cpp

    AbstractDataPlugin.cpp
    AbstractDataPluginModel.cpp
    AbstractDataPluginItem.cpp
    AbstractWorkerThread.cpp

    PluginInterface.cpp
    NetworkPluginInterface.cpp
    LayerInterface.cpp
    RenderPlugin.cpp
    RenderPluginInterface.cpp
    PositionProviderPlugin.cpp
    PositionProviderPluginInterface.cpp
    MarblePluginSettingsWidget.cpp
    PluginAboutDialog.cpp
    PluginItemDelegate.cpp

    SunLocator.cpp
    MarbleClock.cpp
    SunControlWidget.cpp
    MergedLayerDecorator.cpp

    MathHelper.cpp

    LatLonEdit.cpp

    MapThemeSortFilterProxyModel.cpp

    routing/AlternativeRoutesModel.cpp
    routing/RouteAnnotator.cpp
    routing/RouteRequest.cpp
    routing/RoutingModel.cpp
    routing/RoutingProxyModel.cpp
    routing/RoutingProfile.cpp
    routing/RoutingManager.cpp
    routing/RoutingLayer.cpp
    routing/RoutingLineEdit.cpp
    routing/RoutingInputWidget.cpp
    routing/RoutingWidget.cpp
    routing/RoutingProfilesWidget.cpp
    routing/RoutingProfilesModel.cpp
    routing/RoutingProfileSettingsDialog.cpp
    routing/instructions/InstructionTransformation.cpp
    routing/instructions/RoutingInstruction.cpp
    routing/instructions/RoutingPoint.cpp
    routing/instructions/RoutingWaypoint.cpp
    routing/instructions/WaypointParser.cpp

    MarbleRunnerManager.cpp

    routing/AdjustNavigation.cpp

    RunnerPlugin.cpp
    MarbleAbstractRunner.cpp
    RunnerTask.cpp

    BookmarkManager.cpp
    BookmarkInfoDialog.cpp
    NewFolderInfoDialog.cpp

    PrintOptionsWidget.cpp
    ExternalEditorDialog.cpp
    GoToDialog.cpp

    MapWizard.cpp
)

set (marblewidget_UI
    LatLonBoxWidget.ui
    NavigationWidget.ui
    LegendWidget.ui
    MapViewWidget.ui
    CurrentLocationWidget.ui
    FileViewWidget.ui
    MarbleNavigator.ui
    MarbleViewSettingsWidget.ui
    MarbleNavigationSettingsWidget.ui
    MarbleCacheSettingsWidget.ui
    TimeControlWidget.ui
    MarbleTimeSettingsWidget.ui
    MarblePluginSettingsWidget.ui
    TileCreatorDialog.ui
    TileLevelRangeWidget.ui
    PlacemarkInfoDialog.ui
    MarbleAboutDialog.ui
    SunControlWidget.ui
    LatLonEdit.ui
    routing/RoutingWidget.ui
    DataMigrationWidget.ui
    BookmarkInfoDialog.ui
    NameDialog.ui
    PrintOptions.ui
    ExternalEditor.ui
    GoToDialog.ui
    routing/RoutingSettingsWidget.ui
    routing/RoutingProfileSettingsDialog.ui
    MapWizard.ui
)

# FIXME: cleaner approach of src/lib/MarbleControlBox.* vs. marble.qrc
qt4_add_resources(marblewidget_SRCS libmarble.qrc ../marble.qrc)

qt4_wrap_ui(marblewidget_SRCS ${marblewidget_UI})
qt4_automoc(${marblewidget_SRCS})


# link with release version of Qt libs
ADD_LIBRARY(marblewidget SHARED ${marblewidget_SRCS} ${SOURCES_UI_HDRS})
TARGET_LINK_LIBRARIES (marblewidget ${QT_QTCORE_LIBRARY} ${QT_QTDBUS_LIBRARY} ${QT_QTGUI_LIBRARY} ${QT_QTXML_LIBRARY} ${QT_QTSVG_LIBRARY} ${QT_QTNETWORK_LIBRARY} ${QT_QTSCRIPT_LIBRARY} ${QT_QTMAIN_LIBRARY} ${QT_QTWEBKIT_LIBRARY} )

if (APPLE)
  #defined in top level makefile
  TARGET_LINK_LIBRARIES(marblewidget ${MAC_EXTRA_LIBS} )
endif (APPLE)

if (CMAKE_SYSTEM_NAME MATCHES "SunOS")
  TARGET_LINK_LIBRARIES(marblewidget m)
endif (CMAKE_SYSTEM_NAME MATCHES "SunOS")

if(WIN32)
  TARGET_LINK_LIBRARIES(marblewidget ws2_32 imm32 winmm)
endif(WIN32)


set_target_properties(marblewidget  PROPERTIES
                                    VERSION ${GENERIC_LIB_VERSION}
                                    SOVERSION ${GENERIC_LIB_SOVERSION}
                                    COMPILE_FLAGS "-DKML_LAZY_IMP")
# needed for marble_export.h
set_target_properties(marblewidget PROPERTIES
  DEFINE_SYMBOL MAKE_MARBLE_LIB
)

# choose the correct target install library path
if(WIN32 AND QTONLY)
  install(TARGETS marblewidget RUNTIME DESTINATION ${CMAKE_INSTALL_PREFIX})
else(WIN32 AND QTONLY)
  if(APPLE AND QTONLY)
    install (TARGETS marblewidget LIBRARY DESTINATION
      ${CMAKE_INSTALL_PREFIX}/Marble.app/Contents/MacOS/lib)

  else(APPLE AND QTONLY)
    if(QTONLY)
      install(TARGETS marblewidget LIBRARY DESTINATION ${EXEC_INSTALL_PREFIX}/lib${LIB_SUFFIX})
    else(QTONLY)
        install(TARGETS marblewidget  ${INSTALL_TARGETS_DEFAULT_ARGS})
    endif(QTONLY)
  endif(APPLE AND QTONLY)
endif(WIN32 AND QTONLY)

add_executable(geodatatest geodata/GeoDataTest.cpp)
set_target_properties( geodatatest PROPERTIES COMPILE_FLAGS "-DKML_LAZY_IMP" )

target_link_libraries (geodatatest marblewidget ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY})

install (TARGETS geodatatest RUNTIME DESTINATION ${CMAKE_INSTALL_PREFIX}/bin )

########### install files ###############

if (APPLE AND QTONLY)
  # do nothing because we dont put .h files in the bundle
else (APPLE AND QTONLY)
  install( FILES
    ${graphicsview_HDRS}
    DownloadRegionDialog.h
    LatLonBoxWidget.h
    MarbleWidget.h
    MarbleMap.h
    MarbleModel.h
    MarbleControlBox.h
    NavigationWidget.h
    MapViewWidget.h
    LegendWidget.h
    FileViewWidget.h
    CurrentLocationWidget.h
    MarbleNavigator.h
    MarbleDataFacade.h
    AbstractFloatItem.h
    MapThemeManager.h
    MarbleAboutDialog.h
    MarbleWidgetInputHandler.h
    TileCoordsPyramid.h
    TileLevelRangeWidget.h
    TinyWebBrowser.h
    QtMarbleConfigDialog.h
    global.h
    MarbleDirs.h
    GeoPainter.h
    TileCreatorDialog.h
    ViewportParams.h
    ViewParams.h
    Projections/AbstractProjection.h
    Projections/SphericalProjection.h
    Projections/EquirectProjection.h
    Projections/MercatorProjection.h
    PositionTracking.h
    Quaternion.h
    SunLocator.h
    ClipPainter.h
    geodata/data/GeoDataAbstractView.h
    geodata/data/GeoDataAccuracy.h
    geodata/data/GeoDataColorStyle.h
    geodata/data/GeoDataContainer.h
    geodata/data/GeoDataCoordinates.h
    geodata/data/GeoDataDocument.h
    geodata/data/GeoDataFeature.h
    geodata/data/GeoDataFolder.h
    geodata/data/GeoDataGeometry.h
    geodata/data/GeoDataHotSpot.h
    geodata/data/GeoDataIconStyle.h
    geodata/data/GeoDataLabelStyle.h
    geodata/data/GeoDataLatLonAltBox.h
    geodata/data/GeoDataLatLonBox.h
    geodata/data/GeoDataLinearRing.h
    geodata/data/GeoDataLineString.h
    geodata/data/GeoDataLineStyle.h
    geodata/data/GeoDataLod.h
    geodata/data/GeoDataLookAt.h
    geodata/data/GeoDataMultiGeometry.h
    geodata/data/GeoDataObject.h
    geodata/data/GeoDataPlacemark.h
    geodata/data/GeoDataPoint.h
    geodata/data/GeoDataPolygon.h
    geodata/data/GeoDataPolyStyle.h
    geodata/data/GeoDataRegion.h
    geodata/data/GeoDataStyle.h
    geodata/data/GeoDataStyleMap.h
    geodata/data/GeoDataStyleSelector.h
    geodata/data/Serializable.h
    geodata/geodata_export.h
    geodata/parser/GeoDocument.h
    routing/RoutingWidget.h
    routing/RoutingManager.h
    TileCreator.h
    PluginInterface.h
    RenderPlugin.h
    RenderPluginInterface.h
    MarbleAbstractRunner.h
    RunnerPlugin.h
    LayerInterface.h
    PluginAboutDialog.h
    marble_export.h
    Planet.h

    AbstractDataPlugin.h
    AbstractDataPluginModel.h
    AbstractDataPluginItem.h
    AbstractWorkerThread.h

    LatLonEdit.h
    MapWizard.h
    DESTINATION ${CMAKE_INSTALL_PREFIX}/include/marble
)
endif (APPLE AND QTONLY)

=== debian/changelog ===
marble (1.1.0) fremantle; urgency=low

  * New upstream version: Stackable windows and other user interface improvements,
    voice navigation (technical preview) and OpenStreetMap data sharing. Optional
    OSM data migration in postinst.

 -- Dennis Nienhüser <earthwings@gentoo.org>  Fri, 15 Apr 2011 20:18:32 +0200

=== debian/control ===
Source: marble
Section: misc
Priority: optional
Maintainer: Dennis Nienhüser <earthwings@gentoo.org>
Build-Depends: debhelper (>= 5), cdbs, libqt4-dev, cmake, x11proto-core-dev,
 liblocation-dev, libx11-dev, libgconf2-dev, libdbus-glib-1-dev
Standards-Version: 3.9.1

Package: marble
Section: user/navigation
Architecture: any
Depends: ${shlibs:Depends}, marble-plugins (= ${source:Version}), libmarble (= ${source:Version})
Description: Find your way and explore the world with Marble.
 Marble is a virtual globe with advanced routing capabilities. Use it as your
 personal navigation device to guide you to any destination in the world.
 Download maps from a variety of themes and explore the surroundings. Record
 your trip and share it with your friends.
 .
 Main features:
 - Online and offline routing
 - GPS tracking and recording (KML format)
 - Themable maps (OpenStreetMap, Satellite Map, many more)
 - Support for different projections (globe, flat map, ...) and other planets
 - Download of maps and route data for offline usage
XSBC-Bugtracker: https://bugs.kde.org/enter_bug.cgi?product=marble&rep_platform=Maemo%205
XSBC-Maemo-Display-Name: Marble - Virtual Globe
XB-Maemo-Upgrade-Description: User interface improvements (stackable windows,
 configuration of info boxes and more). OpenStreetMap data sharing with other
 applications. Support for voice navigation (technical preview).
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAACXBIWXMAAA3v
 AAAN7wG9nqJDAAAAB3RJTUUH1wgYBSU4oAgYFAAAAAZiS0dEAP8A/wD/oL2n
 kwAAEElJREFUeNrtWWmMZNdV/t5Wr5ZXe3X1Ot2zeJaeLTNZDDGMY4xtWbEt
 LCUxDjZEeBFSEAgsDD9CMAShKD9ilkDAwtgBgrATWTFkhsQ/SGzsyNtkxjMe
 z3RPT+9dXd3VtXTtVe+9eo/vXpW6ZTkQCHFkibndR/f1e9VV5zvLd865havr
 6vp/vhS8C+u5b/5zMp7MvD8YDB0NmGak2+kUbaf7+lpu8a1f+MT9nfcsgG88
 /beGFY0/uHvvod9NJDMTphmEoqgUoNtp++Xyxsuzly/8/i23/eJ333MAqLxu
 mqEv7z1w5MGBwVFomg5VVeVHKETg+z7Ez/LCTCe/svDgjbd+7KvvCQB/+qWv
 BGzbzaTj6p3pdPLPU+lBXTcCcF0PPiBBBAwDUSuMUCiAWrWKTmuz6inG9aFw
 fObY0ck2Af5kATz598+ojVb7RKvdvct23A/SvAc9r2c5dguaqtD6GgAPnudB
 53UgYELTDYjlEVUwGIaial1VVS4R3JnhoczT+6/Z+d09e8Ydgnl3ALz88llM
 X1m8plSp/nLXtu+zu92xbqcB33NgaCqtG4RuGDJ0mLwwTRPhUJDXQXkdMHSC
 0NHrubBtG/VaA9V6k9KC4/r8/9C6ZYX/aSibeWz3xNjlw4ev+fEB+JvHnx6h
 tX/PduxPtVvNuNttIhwMIJ3JIBKJwKNZO90uOp0uFewhHovCsiwqHqD1AzAC
 BgxdJwjuFJ1g6CWC99Fut7FRLGGtUERlswFF06tWJPJkJp189ON33rRMj/zo
 AJ74yte0erNzf8d2H7G7nRG7XUMqEcPo6ChC4Qgcx5FKd4XyFJsSpNWjlkXF
 DYoAIJXeFgIhALlr4poilGjzfUrFMhZXVgmmDFXTCulk4nO7JoYfu+H6n3L/
 1wA+/4W/ShrB8Jd7nnd3eWMNQQM4duw4Uqk0FZdhgC5FKC4B0JKe78lQCmwr
 3AegQ4IxAtIrBq+pOEVjjkhvSBGr1epgdTWPC5dm0Oo69HTwa6riffrTv3Zv
 6X8M4A8+98WJaCz5dbfX+9BabgGZZByHDx9FNjsgE9N2HCrvoNXpoNlsSmYp
 ljbIPD04PXGfoPiaHqnT63lQ4cM0DCpjImZFMTSYxfDgEEMwjUQijnA4JEAT
 kKRegmhjeXmVIKZRb9r0lHZW8exP/PZvPjD7QwE89PAjmeHRiW/7wAdmps4j
 m0lT+SNIJZMyrukR1BtNrG9sYCGXw0apyL/rUCIxWMkUQyiEMK0e1BWYZJ/o
 6E6Y6UHYjRo65Q10Ww047ZYUlYAzUQt7xselcaK8ZiILz0nDTF+exeUrc+g4
 gKoo5yulwi1//IcPr/+XAD5+173ha6/7uacMI3DH9MU3EKQik5MHGTYpMLFk
 RZ158zw2Zq+gwByASWWtKJUOU1kD2ZFRWNlhGFYcqqBThlQgEkUgnobidOA3
 NuFVCujVy3yuAaRTR9HRbTYQgo8UDRSnyGfw4JKxZucWsLC4Amgmk7733IVz
 pz/2xON/2UR/6eiv4eFh9eixa3+dVrtteWkOTVps16EjghYlU+TW1jC/siTD
 Js3Y/5liEd7NtyKvB+EYpMlEGsGDxxGKhGUt4C80ULgr4toMUoagphiG5TX0
 ijmocBHhM8Qj8Km0y89yDQ0RhlK9WkepXJFMFaNXipU68Vo3791/6KHBwcE/
 WV9f98Clob9uuuX2QT58yve98Lkzr5JpdiCZSDLWu5haWsBqsYCIFUGarlZH
 xlFXgxh+8XkMkJHCew+iSS4HLWb6NgxaXe0rroKibInsjfSQBWwWCFSFRoQ6
 94AK6J4Lp9OGwzBNDmTojbBkuQbDqVGvkb1MhQTwwWDQ/Ic3z52pbQHIZrPq
 7Xfe/VuJZOqj8/MzfHEVIwyHFi2dY3Ka5PxMJsNkCyM4MAJr3zG00lnkylXE
 3zgDnd4YYBwHyVBwbeiKD5XhpfBnW/FtQEqrSqmBegu65K5QBBhNFkMaEU3q
 wIcYyKSQYqLn1wqo1+uwojEzEom252YuPl+tVn0VXIeOHA9Fo9E7VFont7zI
 ZIqBNR0NKpNKp8gUyS3qUzpN+HPnWKz4mhtvxZlEFuVLl9H81in4//4tTPQa
 GGqsQ3c6MsN8IegvX/xSzDBU0alSaaWPTNyX4vv9eyqq1U2s0TiKpjIPE2g1
 66COLJ7WR/ftPxzZyoEDk0cGzWDoYK/nMPYbSNLaQSuEmJmAEo5CYWgodK85
 MQkvNwNjcALG2C5krSrmjh7FhVdPY8flRezqdrD+5vcxcedtOJSMouQEUAjE
 4QurAvAE11NBrVaESitLl4DSV7xH6V/L2Odz5l9L1hqTFOy6DjzqQUPun9h1
 TRZAXQIgoqhpBCKtVhMegBBZZ2TvJELHb0BbNSSXw+nCp9s9i6yy65AMjxjD
 ZOLEzZiJppE/9S9IvnEWsWwUhS98HvVjxzB2/32IktNLtGJ7/1F42R3QmxVo
 jQogDS/dQ4X7SkNeUEkhPfTE50KRJNJwXHnNVkX0TeFoLJ4BMCsAEJmb0Ayd
 XlNgUMFYJIjUwQ/QzQbE/7l0IbQQwF2LRLesxg6TyZbFnslJzFXWUHp2FunX
 XkE4HoV7/hwKlU10T52Et7oK7H4doXvuhcowZMBvxZNU2+8Lk9eTALhTUZfC
 uiOfNekJhTlIHfvth5ICl0ph0WhoXs8VyGRVVIMRmPEkIoKqVaFuXwyToMLb
 fyuKpMfE8ChGDr8PU9dehwW6urWygshdd0Fl/kTuuQfawUPwpy6i+/WnoYrK
 rMr/3or5vtJSWSotDAqnL6LfcnivwdA2LUsWR7G63baylQO1WlVxyDjReByp
 sQnoh6+THxAlAMcHbA9wuSs/oASqBBFgURvYcwDO8RxeK64iyWSbuI7v0Y97
 8/bb0A4xaV94ASCA0N2fhM/7UvF+uyFCRoKgslIkEAkGzVaLHmhLRmCzKPN0
 s1LeAsAbdaXRqEu2GSUA9jaiUZP0OaCCvEyQLphkfcV9fxtBf+oKkbmy7/sw
 Ght5zNUq2NNm0ps+DBmaKhI33YQKZ4PaM89IiwZ/6VcAX4YKej9Yee4uLW2j
 UCpDj6UQJhhNUclGDUmpWyFE1ym5lWWojPGRqIV2qYByuQyXyZQxgLEgkOQe
 0KTaEgD3t4lBZkm2NjAymBUK0+UdzFxZhi3c1w+31IkTCN53H0r/+izW/+5J
 0fT1Q6UnOtwtseXugFMflS9JYxpDO5EdHJE6bhTWhce2PeATfpHNWYdVMMJw
 GG13sLIwh9FUDAOpMMZMIESoazZQcYCuokpv+NheKplF5YQWG9mJ1Wobr09P
 Q6eFi6ygy6sreP/kXhzYtxcJ0q756KPIfeYzKOUXof3qA1DEcOMLD0gvyG7X
 tlLo+vSEHqSXmkhwiArqqqjMEgDgb7cSO3fuybC6PQBAGRwaQiocZO9RQVvR
 EU8kkDQ1JAjVogRUSc9yeRSfbkZxBWq1AIU8rbtdhNwOB/c6mpEkWpSelcSl
 mRnML7A1j8eQGGDnecMNaP3HC7AvXYJzYBLd1Bi6pGPbCKM3th/qxCHWmr0k
 ghGgsIKxWFR6epGGLZU2RJF77MrM9JIEMDwyGo9G45+im5noFmKxGJXWsbC+
 Dls3RflGxFAR04CYDslOAcUDynTl4lvwC0tAt00wDlTGssmqHYtGkbZCbMNp
 ALbiCY1UWNvE2bNnUSmXML5rF5If+QicqSm0WT9642PwaIAe30vJjEGxEnJA
 sjlMjWsedFqtyuTdWMtjc7PSKhXX/2Jhfm5DAJBDRSKZvsOyokNiLIzF47J9
 HgjoWGIXWnEBLWzJMTCsAVGCiMNFuFuDqfpM4m1KpAiull2sPJEQFZweCZkC
 lIUwQ7TAwvba6TOSgnffchP0WhWtV1+FPTQIjO2DSnEFmOUrGKvl6XVFHIyh
 UinLBGa4Ty8tzv71+tpaUwLgDOtaVmx3Ipn8sDgC4fwL9kacoELIkInWCwXk
 qg04RhC+YUJ2lFTKEhMWgcasCEK8JkA+2wYiK2q/EEGBmIHlwMPCL4eWuYVF
 TK/kMXz8OLL0VCdXRO/EbeiQhvWVyxjvVGEogKD4BkG6ji0ZcmVl8amVpYWT
 lUqlJwHw6MPjw9JAduiTVNwU82vPdcR9KZmQyQRtYZ6z6kaH1KYF0IWKbmVD
 1AEZMmEqJo9ReC0sTxiQdNhzBcttAVGgyArOIUjODpzMmB+zqJsmhjIxNOZm
 MaC5GIJNL5IsHFsK30v2RIXCevONM68/zDBaEsVNAuCFCKMyrZLm0P4hthqq
 AMHAkEM3r+WYOBg00CoXsbS6hly9jZpiYpM0V6s3SHlNtFlwbMHfrkvFJTXK
 2Zkg+u0Bxaf0GzXOujAIhpMWX8dQGxjF7okdiJBtIjSGCkhhMZNUSqW9qUsX
 Hl9anPvq8vKy87aJjO7o9mamvkQAh5nQP99vVaQnFH5AgPHq8sN3sM8ZFb2J
 XUdhuYxV6DAiFsxISB616ATr2xzw203Y1ar8cGl9QO6u4HjRVRIo6RuJWBz7
 du4ByUMO9jzVkPlCz9KwLb7e6bcOHSwvzr947uzpP6OunXeMlMVi0efAMn/x
 rXOPJBKpcR5O7UW/vRV7gNbSfVVYVL55PGgKkYq1nQ6a1RZqGz3UmR+eZjC8
 amjlVgH4sn+RxyiqhghDMj4wCIugmWOyinPCgkXqNnSN8e5yD4iw26r1tt0F
 C+38q69877PsmOdZZP13ABBraWnJ41T02vde+s5vGIb2Rb7xQZ68KcB236MC
 ghFkBYVIZlorRMtZTPbBCLZXdBSYoLxzyfdhfMvQ4TgpZ4N2s41ef2jqL9kn
 se/xL1+emj518tmH1tfzr+RyuR6wvTS8fTHONj0qvrSWXz0XCYfHOWZOEIQq
 z/oJpdfvXWRStTtkhxp5vYzSRlEUF9Jck0WsLas6KZl7R96jiMMvPmvJ3Rd5
 0e/32XrIxKc3pLAeyWpc4OB++vuvPX/ym9/4nUJh7cV+3OO/AyAXZ02PbXVu
 eXnpdcaeGovFdxNEWNCgv910bYNxRfm32Za30KJwABHgJAiHILwe2cdHX1Fd
 Uqimb5/IcUzsK69ALIYJFhbmKs89d+ofn/v2qT8i/5+l8i64fjiAbU/4VKRY
 rVZeunDh/GlaJUgvjAGKKUBQyC5e3xvb0u9O+0IFKdy3jt23nmlyl8/7npXA
 8/lc/aWXXvi3J598/LMXL154gkZcYX56/6fT6bGxMZ31YZAnFddPTh6+Y3xi
 50+z9R41SDmcY6UHHNGAUbhEHG+JIfe+GBRNXGtbocImTijuFDcKubm5mVfO
 nTt7cnFx4XmezK0Lq/+4vh+QxyrxeJwqB5L0xDUTO3f97NjY+I08wdgVCkVG
 dMOIEosIh+2T6IAhFde2rC7CRdKpCK96rbqZL5dL8/Pzs9+ZmZl+sdVqXaEh
 NhnCDq3+7n1Dw2ZP4UmewSodp6KDVG6E9WM/+6kDBJckyBjFMk0zwhAR4dFk
 /95gQavzG8sKE3Iqn1+dIpA8FV6nBzbJLg6t7v/EvyPjdwWKoFqCUmltrS8q
 l6IJroSMb8/norKey1GLe48TlUfx8/m8j6vr6rq6fuT1n549hzEYnwXuAAAA
 AElFTkSuQmCC

Package: libmarble
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, marble-data (>= ${source:Version})
XSBC-Bugtracker: https://bugs.kde.org/enter_bug.cgi?product=marble&rep_platform=Maemo%205
Description: Shared library for marble
 The marble library contains the Marble widget and many more functionality
 shared among applications embedding a Marble widget.

Package: marble-plugins
Section: misc
Architecture: any
Depends: ${shlibs:Depends}, libmarble (= ${source:Version})
XSBC-Bugtracker: https://bugs.kde.org/enter_bug.cgi?product=marble&rep_platform=Maemo%205
Description: Plugins for marble
 Extends the marble library with several features: Info boxes like a scale bar,
 search support, online and offline routing and more.
 .
 See the marble package for more information.

Package: marble-data
Section: misc
Architecture: all
XSBC-Bugtracker: https://bugs.kde.org/enter_bug.cgi?product=marble&rep_platform=Maemo%205
Description: Data needed by marble at runtime
 This package contains the architecture independent data files for
 libmarble. This includes the OpenStreetMap theme, flag images and more.
 .
 See the marble package for more information.

Package: marble-maps
Section: user/navigation
Architecture: all
Depends: marble
Description: Additional maps for marble (earth and moon)
 OpenStreetMap derived map themes, educational map themes, satellite map
 themes, themes for other planets.
XSBC-Bugtracker: https://bugs.kde.org/enter_bug.cgi?product=marble&rep_platform=Maemo%205
XSBC-Maemo-Display-Name: Marble Maps
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAACXBIWXMAAA3v
 AAAN7wG9nqJDAAAAB3RJTUUH1wgYBSU4oAgYFAAAAAZiS0dEAP8A/wD/oL2n
 kwAAEElJREFUeNrtWWmMZNdV/t5Wr5ZXe3X1Ot2zeJaeLTNZDDGMY4xtWbEt
 LCUxDjZEeBFSEAgsDD9CMAShKD9ilkDAwtgBgrATWTFkhsQ/SGzsyNtkxjMe
 z3RPT+9dXd3VtXTtVe+9eo/vXpW6ZTkQCHFkibndR/f1e9VV5zvLd865havr
 6vp/vhS8C+u5b/5zMp7MvD8YDB0NmGak2+kUbaf7+lpu8a1f+MT9nfcsgG88
 /beGFY0/uHvvod9NJDMTphmEoqgUoNtp++Xyxsuzly/8/i23/eJ333MAqLxu
 mqEv7z1w5MGBwVFomg5VVeVHKETg+z7Ez/LCTCe/svDgjbd+7KvvCQB/+qWv
 BGzbzaTj6p3pdPLPU+lBXTcCcF0PPiBBBAwDUSuMUCiAWrWKTmuz6inG9aFw
 fObY0ck2Af5kATz598+ojVb7RKvdvct23A/SvAc9r2c5dguaqtD6GgAPnudB
 53UgYELTDYjlEVUwGIaial1VVS4R3JnhoczT+6/Z+d09e8Ydgnl3ALz88llM
 X1m8plSp/nLXtu+zu92xbqcB33NgaCqtG4RuGDJ0mLwwTRPhUJDXQXkdMHSC
 0NHrubBtG/VaA9V6k9KC4/r8/9C6ZYX/aSibeWz3xNjlw4ev+fEB+JvHnx6h
 tX/PduxPtVvNuNttIhwMIJ3JIBKJwKNZO90uOp0uFewhHovCsiwqHqD1AzAC
 BgxdJwjuFJ1g6CWC99Fut7FRLGGtUERlswFF06tWJPJkJp189ON33rRMj/zo
 AJ74yte0erNzf8d2H7G7nRG7XUMqEcPo6ChC4Qgcx5FKd4XyFJsSpNWjlkXF
 DYoAIJXeFgIhALlr4poilGjzfUrFMhZXVgmmDFXTCulk4nO7JoYfu+H6n3L/
 1wA+/4W/ShrB8Jd7nnd3eWMNQQM4duw4Uqk0FZdhgC5FKC4B0JKe78lQCmwr
 3AegQ4IxAtIrBq+pOEVjjkhvSBGr1epgdTWPC5dm0Oo69HTwa6riffrTv3Zv
 6X8M4A8+98WJaCz5dbfX+9BabgGZZByHDx9FNjsgE9N2HCrvoNXpoNlsSmYp
 ljbIPD04PXGfoPiaHqnT63lQ4cM0DCpjImZFMTSYxfDgEEMwjUQijnA4JEAT
 kKRegmhjeXmVIKZRb9r0lHZW8exP/PZvPjD7QwE89PAjmeHRiW/7wAdmps4j
 m0lT+SNIJZMyrukR1BtNrG9sYCGXw0apyL/rUCIxWMkUQyiEMK0e1BWYZJ/o
 6E6Y6UHYjRo65Q10Ww047ZYUlYAzUQt7xselcaK8ZiILz0nDTF+exeUrc+g4
 gKoo5yulwi1//IcPr/+XAD5+173ha6/7uacMI3DH9MU3EKQik5MHGTYpMLFk
 RZ158zw2Zq+gwByASWWtKJUOU1kD2ZFRWNlhGFYcqqBThlQgEkUgnobidOA3
 NuFVCujVy3yuAaRTR9HRbTYQgo8UDRSnyGfw4JKxZucWsLC4Amgmk7733IVz
 pz/2xON/2UR/6eiv4eFh9eixa3+dVrtteWkOTVps16EjghYlU+TW1jC/siTD
 Js3Y/5liEd7NtyKvB+EYpMlEGsGDxxGKhGUt4C80ULgr4toMUoagphiG5TX0
 ijmocBHhM8Qj8Km0y89yDQ0RhlK9WkepXJFMFaNXipU68Vo3791/6KHBwcE/
 WV9f98Clob9uuuX2QT58yve98Lkzr5JpdiCZSDLWu5haWsBqsYCIFUGarlZH
 xlFXgxh+8XkMkJHCew+iSS4HLWb6NgxaXe0rroKibInsjfSQBWwWCFSFRoQ6
 94AK6J4Lp9OGwzBNDmTojbBkuQbDqVGvkb1MhQTwwWDQ/Ic3z52pbQHIZrPq
 7Xfe/VuJZOqj8/MzfHEVIwyHFi2dY3Ka5PxMJsNkCyM4MAJr3zG00lnkylXE
 3zgDnd4YYBwHyVBwbeiKD5XhpfBnW/FtQEqrSqmBegu65K5QBBhNFkMaEU3q
 wIcYyKSQYqLn1wqo1+uwojEzEom252YuPl+tVn0VXIeOHA9Fo9E7VFont7zI
 ZIqBNR0NKpNKp8gUyS3qUzpN+HPnWKz4mhtvxZlEFuVLl9H81in4//4tTPQa
 GGqsQ3c6MsN8IegvX/xSzDBU0alSaaWPTNyX4vv9eyqq1U2s0TiKpjIPE2g1
 66COLJ7WR/ftPxzZyoEDk0cGzWDoYK/nMPYbSNLaQSuEmJmAEo5CYWgodK85
 MQkvNwNjcALG2C5krSrmjh7FhVdPY8flRezqdrD+5vcxcedtOJSMouQEUAjE
 4QurAvAE11NBrVaESitLl4DSV7xH6V/L2Odz5l9L1hqTFOy6DjzqQUPun9h1
 TRZAXQIgoqhpBCKtVhMegBBZZ2TvJELHb0BbNSSXw+nCp9s9i6yy65AMjxjD
 ZOLEzZiJppE/9S9IvnEWsWwUhS98HvVjxzB2/32IktNLtGJ7/1F42R3QmxVo
 jQogDS/dQ4X7SkNeUEkhPfTE50KRJNJwXHnNVkX0TeFoLJ4BMCsAEJmb0Ayd
 XlNgUMFYJIjUwQ/QzQbE/7l0IbQQwF2LRLesxg6TyZbFnslJzFXWUHp2FunX
 XkE4HoV7/hwKlU10T52Et7oK7H4doXvuhcowZMBvxZNU2+8Lk9eTALhTUZfC
 uiOfNekJhTlIHfvth5ICl0ph0WhoXs8VyGRVVIMRmPEkIoKqVaFuXwyToMLb
 fyuKpMfE8ChGDr8PU9dehwW6urWygshdd0Fl/kTuuQfawUPwpy6i+/WnoYrK
 rMr/3or5vtJSWSotDAqnL6LfcnivwdA2LUsWR7G63baylQO1WlVxyDjReByp
 sQnoh6+THxAlAMcHbA9wuSs/oASqBBFgURvYcwDO8RxeK64iyWSbuI7v0Y97
